curl --request GET \
--url https://api.noux.app/api/v1/notetaker/meetings \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/notetaker/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/notetaker/meetings"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"meetings": [
{
"meetingId": "<string>",
"meetingName": "<string>",
"roomId": "<string>",
"roomName": "<string>",
"roomTemplate": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"meetingUrl": "<string>"
}
],
"hasMore": true,
"total": 123,
"pageSize": 123
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}List meetings for organization
Get light metadata for notetaker meetings owned by the organization. Meetings with internal visibility restrictions are excluded. Results are paginated using cursor-based pagination. Meetings are sorted by creation date (newest first) for consistent ordering. Use the optional from query parameter to specify a meeting ID to start from (inclusive). If omitted, starts from the newest meeting. Use the optional pageSize parameter to control how many meetings to return (2-100, default 100). The hasMore field indicates if there are additional meetings available. The total field shows the total number of meetings in the organization. This endpoint can be used to loop through all meetings and get full meeting details one-by-one using the meeting/ endpoint. Authenticate using Bearer token with your Noux API key.
curl --request GET \
--url https://api.noux.app/api/v1/notetaker/meetings \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/notetaker/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/notetaker/meetings"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"meetings": [
{
"meetingId": "<string>",
"meetingName": "<string>",
"roomId": "<string>",
"roomName": "<string>",
"roomTemplate": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationSeconds": 123,
"meetingUrl": "<string>"
}
],
"hasMore": true,
"total": 123,
"pageSize": 123
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Query Parameters
Response
Meetings list retrieved successfully